Problem when cross-compile QtWebKit



  • Hi all,

    I met an error when cross-compile QtWebKit. Can anyone help me?

    @ In file included from /home/tuanha/temp/build-hdct2/tmp/sysroots/beagleboard-xmc/usr/include/qtopia/QtGui/QX11EmbedContainer:1,
    | from plugins/qt/PluginContainerQt.h:22,
    | from plugins/qt/PluginContainerQt.cpp:21:
    | /home/tuanha/temp/build-hdct2/tmp/sysroots/beagleboard-xmc/usr/include/qtopia/QtGui/qx11embed_x11.h:77: error: 'XEvent' has not been declared
    | /home/tuanha/temp/build-hdct2/tmp/sysroots/beagleboard-xmc/usr/include/qtopia/QtGui/qx11embed_x11.h:115: error: 'XEvent' has not been declared
    | In file included from plugins/qt/PluginContainerQt.cpp:21:
    | plugins/qt/PluginContainerQt.h:38: error: 'XEvent' has not been declared
    | plugins/qt/PluginContainerQt.h:56: error: 'XEvent' has not been declared
    @

    I've already install libx11-dev. And this error still happens.:((
    Thanks


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.